spring:
  profiles:
    active: dev
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
      enabled: true
  session:
    store-type: none
  #关闭默认模板引擎
  thymeleaf:
    enabled: false
    cache: false
  freemarker:
    enabled: true
    cache: false
    order: 1
    suffix:
    view-names: "*.html"
    template-loader-path: classpath:/templates/
    request-context-attribute: request
    settings:
      template_update_delay: 0
      default_encoding: UTF-8
      classic_compatible: true
      date_format: yyyy-MM-dd
      time_format: HH:mm:ss
      datetime_format: yyyy-MM-dd HH:mm:ss
      number_format: 0.##
      auto_import: inc/spring.ftl as spring
      auto_include: inc/common.ftl
  jackson:
    time-zone: Asia/Shanghai
    #date-format: yyyy-MM-dd HH:mm:ss

#mybatis
mybatis-plus:
  mapper-locations: classpath*:com/app/**/mapping/*.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.app.**.model
  global-config:
    #主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
    id-type: 0
    #字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
    field-strategy: 2
    #驼峰下划线转换
    db-column-underline: false
    #刷新mapper 调试神器
    refresh-mapper: true
    #数据库大写下划线转换
    #capital-mode: true
    #序列接口实现类配置
    #key-generator: com.baomidou.springboot.xxx
    #逻辑删除配置
    logic-delete-value: -1
    logic-not-delete-value: 0
    #自定义填充策略接口实现
    #meta-object-handler: com.baomidou.springboot.xxx
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl #开启sql日志
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
